//
//  JobQueue.h
//  practical 0
//


#ifndef lab0_JobQueue_h
#define lab0_JobQueue_h


typedef struct Jobs {
   int time;
   struct Jobs * next;
}job;



job * MakeQueue(int);
/*
pre-conditions: the process time of all jobs in the queue should be positive.
                the size of queue is greater than zero.

post-condition: the process RetElem(i)>0 for all 1<=i<=qSize
				after building the queue QueueSize(qHead)>0
test-case:
	build the queue;
	for all i such that 1<=i<=qSize, call RetElem(i) and check that it is positive
	cal QueueSize(qHead) and check the returened value to be positive

*/
int QueueSize(job *);
int RetElem(int,job*);
int TotalTime(job *);
int LeastPri(job *);



#endif
